WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Daring Fireball-style Linked List Plugin

Make your RSS feed for linked-list posts behave like Daring Fireball's: item's RSS permalink goes to link, and other modifications.

  • Upload linked-list.php to the /wp-content/plugins/ directory
  • Activate the plugin through the Plugins menu in WordPress
  • Customise extra text in your link titles and body in Settings -> DF-Style Linked List.
  • To customize the theme, use the child theme provided, or check out my theme customization instructions.
  • Some basic instructions follow: Templates can be customised by using the provided functions to check whether your are rendering a linked list item or not. For example:
....the top part of a template....
   <?php if (have_posts()): ?>
      <?php while (have_posts()) : the_post(); ?>

        <?php if (is_linked_list()): ?>

          ...other HTML formatting...
          <a href="<?php the_linked_list_link()">This is a linked list link</a>
          ...other HTML formatting...

        <?php else: ?>

          ...other HTML formatting...
          <a href="<?php the_link()">This is a normal post link</a>
          ...other HTML formatting...

        <?php endif; ?>
      <?php endwhile; ?>
    <?php endif; ?>
    ...the rest of the template...
  • Essentially, use the is_linked_list() function to check, then alter your template the way you wish to make it look or act differently.
  • Other functions you can use are get_the_permalink_glyph(), the_permalink_glyph(), get_the_linked_list_link(), the_linked_list_link() and get_glyph().
  • For more information about customizing wordpress templates, view the "Template Tags" document on the WordPress Codex
  • To enable the first link and Twitter Tools functionality or find out more, turn them on in the checkbox under Settings.

Requires: 2.7 or higher
Compatible up to: 3.1.4
Last Updated: 2011-6-19
Downloads: 3,211

Ratings

4 stars
4.6 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1
100,1,1